import React, { MouseEventHandler } from 'react';
import { CheckboxProps } from '@mui/material';
export interface CustomListProps {
    items: [];
    checked: never[];
    title: React.ReactNode;
    checkboxProps?: CheckboxProps;
    handleToggleAll: (items: []) => React.MouseEventHandler<HTMLButtonElement> | undefined;
    numberOfChecked: (items: []) => number;
    handleToggle: (value: never) => MouseEventHandler<HTMLDivElement> | undefined;
}
export declare function CustomList({ items, checked, title, checkboxProps, handleToggleAll, numberOfChecked, handleToggle }: CustomListProps): JSX.Element;
